Results 1 to 3 of 3

Thread: kvm-intel problem on suse 11 x86_64

  1. #1
    catalyst82 NNTP User

    Exclamation kvm-intel problem on suse 11 x86_64

    Hi,

    Firstly I'd like to say hello to the Suse community. I've installed OpenSuse to give it a try as a desktop system.

    I'm unable to use qemu-kvm due to kvm-intel kernel module issues. When I try to modprobe the module I get following error:

    Code:
    FATAL: Error inserting kvm_intel (/lib/modules/2.6.25.11-0.1-default/kernel/arch/x86/kvm/kvm-intel.ko): Unknown symbol in module, or unknown parameter (see dmesg)
    In dmesg I see a log of these:
    Code:
    kvm_intel: disagrees about version of symbol kvm_emulate_cpuid
    kvm_intel: Unknown symbol kvm_emulate_cpuid
    kvm_intel: disagrees about version of symbol kvm_vcpu_init
    kvm_intel: Unknown symbol kvm_vcpu_init
    kvm_intel: disagrees about version of symbol kvm_set_msr_common
    kvm_intel: Unknown symbol kvm_set_msr_common
    kvm_intel: disagrees about version of symbol kvm_cpu_get_interrupt
    kvm_intel: Unknown symbol kvm_cpu_get_interrupt
    kvm_intel: disagrees about version of symbol kvm_emulate_pio
    kvm_intel: Unknown symbol kvm_emulate_pio
    I use following packages in my system:
    kernel-default-2.6.25.11-0.1
    kvm-63-31.1
    kvm-kmp-default-63_2.6.25.5_1.1-31.1

    It seems that kvm-kmp-default is for older kernel but yast didn't complain. One could probably install kvm modules from source but I wonder if there's an elegant sussian way of fixing the issue.

  2. #2
    broskopf NNTP User

    Default Re: kvm-intel problem on suse 11 x86_64

    I was able to get this problem solved by updating my KVM module to the one in this link:

    Index of /repositories/Virtualization:/KVM/openSUSE_11.0/x86_64

    and resolving the dependencies for libpulse. It seems that the dependency was somehow lost in the latest release?

  3. #3
    broskopf NNTP User

    Default Re: kvm-intel problem on suse 11 x86_64


    I was able to get this problem solved by updating my KVM module to the
    one in this link:

    'Index of /repositories/Virtualization:/KVM/openSUSE_11.0/x86_64'
    (http://tinyurl.com/6n6p7o)

    and resolving the dependencies for libpulse. It seems that the
    dependency was somehow lost in the latest release?


    --
    broskopf
    ------------------------------------------------------------------------
    broskopf's Profile: http://forums.opensuse.org/member.php?userid=16104
    View this thread: http://forums.opensuse.org/showthread.php?t=394280


Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •